ServiceContext (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.context
Class ServiceContext

    java.lang.Object
      org.gcube.common.core.contexts.GCUBEContext
          org.gcube.common.core.contexts.GCUBEServiceContext
              org.gcube.datatransfer.agent.impl.context.ServiceContext

All Implemented Interfaces:
  org.gcube.common.core.scope.GCUBEScopeManager, org.gcube.common.core.security.GCUBESecurityManager, org.gcube.common.core.security.GCUBEServiceSecurityManager

    public class ServiceContext

extends org.gcube.common.core.contexts.GCUBEServiceContext

Author:
  Andrea Manzi (CERN)

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`org.gcube.common.core.contexts.GCUBEServiceContext.IllegalStateTransitionException, org.gcube.common.core.contexts.GCUBEServiceContext.RILifetimeEvent, org.gcube.common.core.contexts.GCUBEServiceContext.RILifetimeTopic, org.gcube.common.core.contexts.GCUBEServiceContext.ServiceSecurityStatus, org.gcube.common.core.contexts.GCUBEServiceContext.Stager, org.gcube.common.core.contexts.GCUBEServiceContext.StateTransitionException, org.gcube.common.core.contexts.GCUBEServiceContext.Status`

Nested classes/interfaces inherited from interface org.gcube.common.core.security.GCUBEServiceSecurityManager
`org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeConsumer, org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeEvent, org.gcube.common.core.security.GCUBEServiceSecurityManager.LifetimeTopic`

Nested classes/interfaces inherited from interface org.gcube.common.core.security.GCUBESecurityManager
`org.gcube.common.core.security.GCUBESecurityManager.AuthMethod, org.gcube.common.core.security.GCUBESecurityManager.AuthMode, org.gcube.common.core.security.GCUBESecurityManager.DelegationMode`

Nested classes/interfaces inherited from interface org.gcube.common.core.scope.GCUBEScopeManager
`org.gcube.common.core.scope.GCUBEScopeManager.IllegalScopeException`

Field Summary
`protected static ServiceContext` | `cache`
`static String` | `JNDI_NAME`
`static org.gcube.common.core.utils.events.GCUBEProducer<Events.TransferTopics,Object>` | `transferEventproducer`

Fields inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`AUTHENTICATION_MANAGER_JNDI_NAME, AUTHORISATION_MANAGER_JNDI_NAME, CONFIG_DIR_JNDI_NAME, LISTENER_UPDATE_INTERVAL, LTEventProducer, PERSISTENCE_MANAGER_JNDI_NAME, PLUGIN_MANAGER_JNDI_NAME, PROFILE_FILE_NAME, PROPAGATE_CALLER_CREDENTIALS_JNDI_NAME, PUBLISHED_HOST_JNDI_NAME, PUBLISHED_PORT_JNDI_NAME, RIPROFILE_FILENAME, SECURITY_MANAGER_JNDI_NAME, START_SCOPES_JNDI_NAME`

Fields inherited from class org.gcube.common.core.contexts.GCUBEContext
`logger, timers`

Fields inherited from interface org.gcube.common.core.scope.GCUBEScopeManager
`CLASS_HEADER_NAME, DEFAULT, NAME_HEADER_NAME, SCOPE_HEADER_NAME, SCOPE_NS`

Method Summary
`static ServiceContext` | `getContext()`
`String` | `getDbConfigurationFileName()`
`DataTransferDBManager` | `getDbManager()`
`String` | `getJNDIName()`
`VFileSystemManager` | `getLocalFSManager()`
`String[]` | `getSupportedTransfers()`
`boolean` | `getUseMessaging()`
`String` | `getVfsRoot()`
`protected void` | `onInitialisation()`
`protected void` | `onReady()`
`void` | `setDbConfigurationFileName(String dbConfigurationFileName)`
`void` | `setDbManager(DataTransferDBManager dbManager)`
`void` | `setUseMessaging(boolean useMessaging)`

Methods inherited from class org.gcube.common.core.contexts.GCUBEServiceContext
`addScope, getAuthenticationManager, getAuthorizationManager, getCallerCredentials, getCredentials, getDefaultException, getDefaultException, getFile, getID, getInstance, getLogger, getManagementBean, getName, getPersistenceRoot, getPersistentFile, getPluginManager, getPolicy, getProperty, getScope, getScopeManager, getSecurityManager, getService, getServiceClass, getServiceCredentials, getServiceSecurityStatus, getStartScopes, getStatus, initialise, isSecurityEnabled, needServiceCredentials, notifyStateChange, onFailure, onShutdown, onStateChange, onUpdate, prepareCall, propagateCallerCredentials, removeScope, setAuthMethod, setScope, setScope, setScope, setSecurity, setStatus, subscribe, subscribeLifetTime, unsubscribe, unsubscribeLifetTime, useCallerCredentials, useCredentials, useCredentials, useCredentials, useServiceCredentials`

Methods inherited from class org.gcube.common.core.contexts.GCUBEContext
`debugContext, getJNDIContext, getResource, getTiming, printContext, resetTimer, setJNDIContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JNDI_NAME

    public static final String JNDI_NAME

See Also:
  Constant Field Values

### cache

    protected static final ServiceContext cache

### transferEventproducer

    public static org.gcube.common.core.utils.events.GCUBEProducer<Events.TransferTopics,Object> transferEventproducer

Method Detail

### getSupportedTransfers

    public String[] getSupportedTransfers()
                                   throws Exception

  Returns:
  Throws:
    `Exception`

### getContext

    public static ServiceContext getContext()

  Returns:
    ServiceContext

### getJNDIName

    public String getJNDIName()

  Specified by:
    `getJNDIName` in class `org.gcube.common.core.contexts.GCUBEServiceContext`
  Returns:
    the JNDI name

### onInitialisation

    protected void onInitialisation()
                             throws Exception

  Overrides:
    `onInitialisation` in class `org.gcube.common.core.contexts.GCUBEServiceContext`
  Throws:
    `Exception`

### getVfsRoot

    public String getVfsRoot()

### getDbManager

    public DataTransferDBManager getDbManager()

### setDbManager

    public void setDbManager(DataTransferDBManager dbManager)

### onReady

    protected void onReady()
                    throws Exception

  Overrides:
    `onReady` in class `org.gcube.common.core.contexts.GCUBEServiceContext`
  Throws:
    `Exception`

### getUseMessaging

    public boolean getUseMessaging()

### setUseMessaging

    public void setUseMessaging(boolean useMessaging)

### getDbConfigurationFileName

    public String getDbConfigurationFileName()

### setDbConfigurationFileName

    public void setDbConfigurationFileName(String dbConfigurationFileName)

### getLocalFSManager

    public VFileSystemManager getLocalFSManager()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.